# Projet Android 2048

Un clone simple du jeu populaire 2048 développé pour Android en utilisant Android Studio et Java.

## Objectif

L'objectif principal est d'apprendre les bases du développement Android, y compris :
* La gestion des layouts (GridLayout, ConstraintLayout)
* La gestion des événements tactiles (Swipe)
* La logique de jeu de base
* Le cycle de vie d'une activité Android
* La persistance simple des données (scores)

## Étapes Futures

1.  Mise en place de la structure de base du projet.
2.  Implémentation de la logique de la grille et de l'ajout de tuiles.
3.  Implémentation des mouvements des tuiles (Haut, Bas, Gauche, Droite).
4.  Création de l'interface graphique.
5.  Liaison de la logique et de l'interface.
6.  Ajout de fonctionnalités (score, high score, redémarrage, etc.).
